<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="998d5e92-ac1f-4423-8aef-5f389ab213de" name="Changes" comment="">
      <change afterPath="$PROJECT_DIR$/src/main/java/rip/tilly/bedwars/listeners/GameStartListener.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/rip/tilly/bedwars/BedWars.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/rip/tilly/bedwars/BedWars.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/rip/tilly/bedwars/game/GameState.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/rip/tilly/bedwars/game/GameState.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/rip/tilly/bedwars/game/events/GameStartEvent.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/rip/tilly/bedwars/game/events/GameStartEvent.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="downloadDocsAutomatically" value="true" />
        <option name="downloadSourcesAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectId" id="21EOh3Gfft72pz4cKj8pDMABrTU" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/src/main/java" />
    <property name="settings.editor.selected.configurable" value="MTConfigurable" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="rip.tilly.bedwars.mongo" />
      <recent name="rip.tilly.bedwars.utils" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\logan\Documents\GitHub\BedWars\src\main\java" />
      <recent name="C:\Users\logan\Documents\GitHub\BedWars\src\main\java\rip\tilly\bedwars\commands" />
      <recent name="C:\Users\Luca\Documents\GitHub\BedWars\src\main\java\rip\tilly\bedwars" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="BedWars build" type="MavenRunConfiguration" factoryName="Maven">
      <MavenSettings>
        <option name="myGeneralSettings">
          <MavenGeneralSettings>
            <option name="alwaysUpdateSnapshots" value="false" />
            <option name="checksumPolicy" value="NOT_SET" />
            <option name="failureBehavior" value="NOT_SET" />
            <option name="localRepository" value="" />
            <option name="mavenHome" value="Bundled (Maven 3)" />
            <option name="nonRecursive" value="false" />
            <option name="outputLevel" value="INFO" />
            <option name="pluginUpdatePolicy" value="DEFAULT" />
            <option name="printErrorStackTraces" value="false" />
            <option name="threads" />
            <option name="usePluginRegistry" value="false" />
            <option name="userSettingsFile" value="" />
            <option name="workOffline" value="false" />
          </MavenGeneralSettings>
        </option>
        <option name="myRunnerSettings">
          <MavenRunnerSettings>
            <option name="delegateBuildToMaven" value="false" />
            <option name="environmentProperties">
              <map />
            </option>
            <option name="jreName" value="#USE_PROJECT_JDK" />
            <option name="mavenProperties">
              <map />
            </option>
            <option name="passParentEnv" value="true" />
            <option name="runMavenInBackground" value="true" />
            <option name="skipTests" value="false" />
            <option name="vmOptions" value="" />
          </MavenRunnerSettings>
        </option>
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list>
                <option value="clean" />
                <option value="package" />
              </list>
            </option>
            <option name="pomFileName" />
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="$PROJECT_DIR$" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method v="2" />
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="998d5e92-ac1f-4423-8aef-5f389ab213de" name="Changes" comment="" />
      <created>1637502897092</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1637502897092</updated>
    </task>
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="WindowStateProjectService">
    <state x="574" y="115" key="#com.intellij.ide.util.MemberChooser" timestamp="1637507010776">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="574" y="115" key="#com.intellij.ide.util.MemberChooser/0.0.1536.824/1920.0.800.560@0.0.1536.824" timestamp="1637507010776" />
    <state x="499" y="159" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1637505947686">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="499" y="159" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1536.824/1920.0.800.560@0.0.1536.824" timestamp="1637505947686" />
    <state width="1493" height="204" key="GridCell.Tab.0.bottom" timestamp="1637531590753">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="204" key="GridCell.Tab.0.bottom/0.0.1536.824/1920.0.800.560@0.0.1536.824" timestamp="1637531590753" />
    <state width="1493" height="204" key="GridCell.Tab.0.center" timestamp="1637531590753">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="204" key="GridCell.Tab.0.center/0.0.1536.824/1920.0.800.560@0.0.1536.824" timestamp="1637531590753" />
    <state width="1493" height="204" key="GridCell.Tab.0.left" timestamp="1637531590753">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="204" key="GridCell.Tab.0.left/0.0.1536.824/1920.0.800.560@0.0.1536.824" timestamp="1637531590753" />
    <state width="1493" height="204" key="GridCell.Tab.0.right" timestamp="1637531590753">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="204" key="GridCell.Tab.0.right/0.0.1536.824/1920.0.800.560@0.0.1536.824" timestamp="1637531590753" />
  </component>
</project>